Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::PackageInfo::FirmwareInfo::Version Struct Reference

## Public Attributes
int | majorNumber
| firmware version encoded as 'major << 4 | minor'
int | minorNumber
| depreceated, was minor firmware version
int | bootloaderVersion
| device bootloader version

## Detailed Description

Definition at line 32 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## ◆ bootloaderVersion

int peripheral::PackageInfo::FirmwareInfo::Version::bootloaderVersion

device bootloader version

Definition at line 35 of file PeripheralDevicePackage.idl.

## ◆ majorNumber

int peripheral::PackageInfo::FirmwareInfo::Version::majorNumber

firmware version encoded as 'major << 4 | minor'

Definition at line 33 of file PeripheralDevicePackage.idl.

## ◆ minorNumber

int peripheral::PackageInfo::FirmwareInfo::Version::minorNumber

depreceated, was minor firmware version

Definition at line 34 of file PeripheralDevicePackage.idl.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl